io.etcd.jetcd.api

## Enum WatchCreateRequest.FilterType

- java.lang.Object
- - java.lang.Enum<WatchCreateRequest.FilterType>
  - - io.etcd.jetcd.api.WatchCreateRequest.FilterType

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<WatchCreateRequest.FilterType>

Enclosing class:
  WatchCreateRequest

    public static enum WatchCreateRequest.FilterType
    extends Enum<WatchCreateRequest.FilterType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `etcdserverpb.WatchCreateRequest.FilterType`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NODELETE` filter out delete event.
`NOPUT` filter out put event.
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `NODELETE_VALUE` filter out delete event.
`static int` `NOPUT_VALUE` filter out put event.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static WatchCreateRequest.FilterType` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<WatchCreateRequest.FilterType>` `internalGetValueMap()`
`static WatchCreateRequest.FilterType` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static WatchCreateRequest.FilterType` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static WatchCreateRequest.FilterType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WatchCreateRequest.FilterType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOPUT

    public static final WatchCreateRequest.FilterType NOPUT

     filter out put event.

`NOPUT = 0;`

#### NODELETE

    public static final WatchCreateRequest.FilterType NODELETE

     filter out delete event.

`NODELETE = 1;`

#### UNRECOGNIZED

    public static final WatchCreateRequest.FilterType UNRECOGNIZED

### Field Detail

#### NOPUT_VALUE

    public static final int NOPUT_VALUE

     filter out put event.

`NOPUT = 0;`

See Also:
  Constant Field Values

#### NODELETE_VALUE

    public static final int NODELETE_VALUE

     filter out delete event.

`NODELETE = 1;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static WatchCreateRequest.FilterType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WatchCreateRequest.FilterType c : WatchCreateRequest.FilterType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WatchCreateRequest.FilterType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static WatchCreateRequest.FilterType valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static WatchCreateRequest.FilterType forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<WatchCreateRequest.FilterType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static WatchCreateRequest.FilterType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)